#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xzf attr-2.4.46.src.tar.gz
    cd attr-2.4.46
    OPTIMIZER=' ' ./configure --prefix=/usr --disable-static --disable-gettext
    make -C libattr
    strip -R .note -R .comment libattr/.libs/libattr.so.1
    mkdir -p ../libattr1/lib
    cp libattr/.libs/libattr.so.1 ../libattr1/lib/
    cd ..
    rm -rf attr-2.4.46
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
